aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pdns-recursor/APKBUILD
diff options
context:
space:
mode:
authorOlivier Mauras <olivier@mauras.ch>2016-08-16 19:29:04 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-22 15:34:53 +0200
commitc60d2a3ed5cb159da5b10609d7c4e6fed66ab85a (patch)
tree4b3304244e1f88276f14515d74e8193d66927364 /testing/pdns-recursor/APKBUILD
parent1a408c81eff69d6f4d8ef63d756fddac44f4a58e (diff)
downloadaports-c60d2a3ed5cb159da5b10609d7c4e6fed66ab85a.tar.gz
aports-c60d2a3ed5cb159da5b10609d7c4e6fed66ab85a.tar.bz2
aports-c60d2a3ed5cb159da5b10609d7c4e6fed66ab85a.tar.xz
testing/pdns-recursor: New aport
- Will use "recursor" account instead of "pdns" to have both recursor and auth servers installed without them messing with each others users - Included config only modify uid/gid and port on 5353 so that it could work by default with pdns
Diffstat (limited to 'testing/pdns-recursor/APKBUILD')
-rw-r--r--testing/pdns-recursor/APKBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/testing/pdns-recursor/APKBUILD b/testing/pdns-recursor/APKBUILD
new file mode 100644
index 0000000000..5b437658c1
--- /dev/null
+++ b/testing/pdns-recursor/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Olivier Mauras <olivier@mauras.ch>
+pkgname=pdns-recursor
+pkgver=4.0.1
+pkgrel=0
+pkgdesc="PowerDNS Recursive Server"
+url="http://www.powerdns.com/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev boost-dev lua-dev"
+install="$pkgname.pre-install $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+pkgusers="pdns"
+pkggroups="pdns"
+source="http://downloads.powerdns.com/releases/pdns-recursor-$pkgver.tar.bz2
+ pdns-recursor.initd
+ recursor.conf
+ "
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/pdns \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --libdir=/usr/lib/pdns \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/etc/pdns/recursor.conf-dist || return 1
+
+ install -m755 -D "$srcdir"/$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+
+ install -m600 -D "$srcdir"/recursor.conf \
+ "$pkgdir"/etc/pdns/recursor.conf || return 1
+}
+
+md5sums="5ef062610de3d193ebe63a615263df7e pdns-recursor-4.0.1.tar.bz2
+35f373bae0503632088956fa14754e4e pdns-recursor.initd
+2950b9932de6baae360f220c7686f520 recursor.conf"
+sha256sums="472db541307c8ca83a846d260ecfc854fd8e879c1bb2ce5683a8df5d21e860b0 pdns-recursor-4.0.1.tar.bz2
+215d916383e3cba184f8418b98cd2ced146500006e21e2efeb0ee5b53f3df049 pdns-recursor.initd
+12bdbf651db0c7fe63ddb01a239a5ddd40825f50811a5d3f4d13cda294bd0344 recursor.conf"
+sha512sums="3e69606bda3d296b0c3fd9212afa2a098ab04637718356d220a9490bc3e2a0ca97210934d398ad740509cea9e8f8d2ab2e16a1ba75d559f6b82bf64a729ad018 pdns-recursor-4.0.1.tar.bz2
+f23cb30d943e0b0aea09371dc57aa43e55b8f91062a3caa3fac17e3565a8e36dfd304f45eba588f625ca2337cd2ade450ea5ae1776872c006204cdaf912f6651 pdns-recursor.initd
+954df537693a202fc195e751011bbfaa605b3f3df42ac386fa82eb809b73c2b987f5e418b5c96bb3b0669497426ce0daa39a719844701e06990b82843a4cf0d4 recursor.conf"